> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest Behavior

> Suggest agent behavior fields from a free-text description



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json post /assistant/api/v1/tenants/{tenant}/agents:suggestBehavior
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/agents:suggestBehavior:
    post:
      tags:
        - agent
      summary: Suggest Behavior
      description: Suggest agent behavior fields from a free-text description
      operationId: >-
        suggest_behavior_assistant_api_v1_tenants__tenant__agents_suggestBehavior_post
      parameters:
        - name: tenant
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentBehaviorSuggestionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentBehavior'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentBehaviorSuggestionRequest:
      properties:
        description:
          type: string
          maxLength: 10000
          minLength: 1
          title: Description
          description: >-
            A free-text description of the agent to create, used to suggest
            values for the behavior fields
      type: object
      required:
        - description
      title: AgentBehaviorSuggestionRequest
    AgentBehavior:
      properties:
        audience:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Audience
          description: >-
            Who the agent serves (e.g. 'bank advisors who use AIDA to understand
            internal documents')
        assistant_role:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Assistant Role
          description: >-
            The role the assistant plays (e.g. 'an expert banking assistant that
            helps advisors')
        tone:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Tone
          description: The tone of responses (e.g. 'professional, concise, supportive')
        response_behavior:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Response Behavior
          description: >-
            How the agent should respond (e.g. who to address, how to structure
            answers)
        guardrails:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Guardrails
          description: >-
            Constraints the agent must respect or things it must verify before
            answering
        output_format:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Output Format
          description: The preferred structure or format of the answer
      type: object
      title: AgentBehavior
      description: |-
        The six free-text behavior fields that shape how an agent's assistant
        responds. Shared by `Agent` (where they are stored) and the behavior
        suggestion endpoint (which only suggests them).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````